nl.topicus.jdbc.extended

## Class ConverterUtils

- java.lang.Object
- - nl.topicus.jdbc.extended.ConverterUtils

    public class ConverterUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConverterUtils()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `calculateActualBatchSize(int numberOfCols, Connection destination, String catalog, String schema, String table)`
`List<String>` `getColumnNames(Connection destination, String catalog, String schema, String table)`
`int` `getEstimatedRowSizeInCloudSpanner(Connection connection, String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`
`int` `getNumberOfIndices(Connection destination, String catalog, String schema, String table)`
`int` `getRowSize(Connection destination, String catalog, String schema, String table)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConverterUtils

    public ConverterUtils()

### Method Detail

#### calculateActualBatchSize

    public int calculateActualBatchSize(int numberOfCols,
                                        Connection destination,
                                        String catalog,
                                        String schema,
                                        String table)
                                 throws SQLException

Throws:
  `SQLException`

#### getRowSize

    public int getRowSize(Connection destination,
                          String catalog,
                          String schema,
                          String table)
                   throws SQLException

Throws:
  `SQLException`

#### getNumberOfIndices

    public int getNumberOfIndices(Connection destination,
                                  String catalog,
                                  String schema,
                                  String table)
                           throws SQLException

Throws:
  `SQLException`

#### getColumnNames

    public List<String> getColumnNames(Connection destination,
                                       String catalog,
                                       String schema,
                                       String table)
                                throws SQLException

Throws:
  `SQLException`

#### getEstimatedRowSizeInCloudSpanner

    public int getEstimatedRowSizeInCloudSpanner(Connection connection,
                                                 String catalog,
                                                 String schemaPattern,
                                                 String tableNamePattern,
                                                 String columnNamePattern)
                                          throws SQLException

Returns:
  The estimated size in bytes of one row of the specified columns of the specified table
Throws:
  `SQLException`